### File

`packages/components/layout/eui-toolbar/toolbar-navbar-item/toolbar-navbar-item.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-toolbar-navbar-item`

template

    {{ label }}

### Index

###### Properties

- navBarComponentParent
- tabindex

###### Inputs

- id
- isActive
- label

###### HostBindings

- attr.tabindex
- class

###### HostListeners

- click
- keydown

###### Accessors

- cssClasses

### Constructor

`constructor()`

### Inputs

id
Type : `string`

isActive
Type : `boolean`
Default value : `false`

label
Type : `string`

### HostBindings

attr.tabindex
Type : `number`
Default value : `0`

class
Type : `string`

### HostListeners

click
`click()`

keydown
Arguments : `'$event'`
`keydown(event: KeyboardEvent)`

### Properties

navBarComponentParent
Type : `EuiToolbarNavbarComponent`

tabindex
Type : `number`
Default value : `0`
Decorators : `@HostBinding('attr.tabindex')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""